#!/sbin/sh
mkdir /sdcard/Repacked
cd /sdcard/kernels/
kernels=$(printf "%s " *.img)

cd /sdcard/ramdisks/
ramdisks=$(printf "%s " *.img)
###################################################################################################################
#
# STEP 1 - UNPACK KERNELS
#

for k in $kernels
do
	/tmp/unpackbootimg /sdcard/kernels/$k /tmp/kernels/
done

###################################################################################################################
#
# STEP 2 - UNPACK RAMDISKS
#

for r in $ramdisks
do
	/tmp/unpackbootimg /sdcard/ramdisks/$r /tmp/ramdisks/
done

###################################################################################################################
#
# STEP 3 - PROCESSING
#
for k in $kernels
do
	for r in $ramdisks
	do
	echo "Kernel:$k & RamDisk:$r"
	echo /tmp/mkbootimg --kernel /tmp/kernels/$k-zImage --ramdisk /tmp/ramdisks/$r-ramdisk.gz --cmdline \"$(cat /tmp/ramdisks/$r-cmdline)\" --base $(cat /tmp/ramdisks/$r-base) --output /sdcard/Repacked/${k:0:$((${#k}-4))}-${r:0:$((${#r}-4))}.img >> /tmp/createnewboot.sh
	done
done
		chmod 755 /tmp/createnewboot.sh
				/tmp/createnewboot.sh
				rm /tmp/createnewboot.sh
return $?
